## Get a recipient

### cURL

```
curl --request GET \
  --url https://payouts.api.trykarat.com/recipients/{recipient_id} \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://payouts.api.trykarat.com/recipients/{recipient_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/recipients/{recipient_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://payouts.api.trykarat.com/recipients/{recipient_id}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://payouts.api.trykarat.com/recipients/{recipient_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse<String> response = Unirest.get("https://payouts.api.trykarat.com/recipients/{recipient_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://payouts.api.trykarat.com/recipients/{recipient_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**
- **401**
- **404**

### Example Responses

Success response:
```
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "nickname": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "onboardingUrl": "<string>"
  }
}
```

Error response:
```
{
  "error": {
    "message": "Invalid api key"
  }
}
```

Another error response:
```
{
  "error": {
    "message": "Payment intent not found"
  }
}
```

### Authorizations

- **Authorization**: string, header, required

Pass your API key as a bearer token: `Authorization: Bearer <API_KEY>`.

### Path Parameters

- **recipient_id**: string<uuid>, required

The ID of the recipient.

### Response Format

- **200** application/json

The recipient data.
